Bug 62666 - Minor config file issues - 53c700 and 802.1d bridging support
Minor config file issues - 53c700 and 802.1d bridging support
Status: CLOSED ERRATA
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-03 19:11 EST by Tim Clymo
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 22:00:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Clymo 2002-04-03 19:11:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Just spotted a couple of minor buglets in kernel-2.4.18-i686.config. I assume 
they're present in other configs too, although I must confess I haven't 
checked (as at kernel-2.4.18-0.10).

1) CONFIG_BRIDGE_NF is set to "m", and I believe this is not a legal option - 
should be "y" or "n" - I prefer "y", but you're the boss...
2) CONFIG_53C700_IO_MAPPED or CONFIG_53C700_MEM_MAPPED - could you set one of 
these to stop linux/drivers/scsi/53c700.h from moaning

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.(re)build i686-up kernel from source using RH distributed config file
2.
3.
	

Actual Results:  non-fatal errors reported during build (unless you actually 
want the 53c700 scsi driver or bridging support, in which case it's non-
functional)

Additional info:
Comment 1 Arjan van de Ven 2002-04-04 07:09:36 EST
Good catch on the bridging one!

As for the 53C700: that's not a config question but a derived value based on
whatever adapters you configure. I assume you run make oldconfig before using a
config file ?
Comment 2 Tim Clymo 2002-04-04 17:39:29 EST
I have no clue where the scsi stuff is derived from, and I haven't had the time
to dig. I don't actually have (or require) anything even loosely based on the
53c700. This only came to light when I applied a FreeS/WAN 1.95 "make xrpm" to
the RH kernel distribution to get IPSEC clent functionality. For whatever
reason, the FreeS/WAN installation is highly sensitive to the case insensitive
string "error" in stdout or stderror of a kernel build...

However, for the record, here is what I did to demonstrate the scsi issue
(totally independent of anything FreeS/WAN related):

1) rpm -i kernel-2.4.18-0.10.src.rpm
2) cd /usr/src/redhat/SPECS
3) rpm -bp kernel.spec
4) cd /usr/src/redhat/BUILD/kernel-2.4.18/linux
5) cp configs/kernel-2.4.18-i686.config arch/i386/defconfig (overwrite existing
defconfig)
6) make mrproper
7) make xconfig (save and exit without making any changes whatsoever)
8) make dep bzImage modules (redirect stdout and stderr to a logfile)

Somewhere in the logfile is an error from 53c700.h:
In file included from 53c700.c:134:
53c700.h:40:2: #error "Config.in must define either CONFIG_53C700_IO_MAPPED or
CONFIG_53C700_MEM_MAPPED to use this scsi core."


Note You need to log in before you can comment on or make changes to this bug.